<form-template titleForm="Residencia" [form]="form" [busy]="service.busy" [edit]="service.editing"
  (changes)="onAction($event)" [(addOnlyOne)]="service.addOnlyOne">
  <ng-container content-type="codigo" *ngIf="service.editing">
    <small class="p-1"><strong class="font-xs text-muted">Codigo:&nbsp;</strong>{{service.model?.UniqueIdentifier}}</small>
  </ng-container>

  <form #form="ngForm" autocomplete="off">
    <div class="row justify-content-between">
      <div class="col-md-8">
        <div class="row">
          <div class="col-md-6" [input-wrapper]="numero" label="Numero" >
            <input type="text" class="form-control" placeholder="Numero de Residencia" name="numero"
              [(ngModel)]="service.model.Numero" #numero="ngModel" ngbAutofocus required>
          </div>
          <div class="col-md-6" input-wrapper label="Tipo de Residencia">
            <select id="tipoResidencia" class="form-control" name="tipoResidencia" [(ngModel)]="service.model.TipoResidenciaId"
              #tipoR="ngModel" [default]="null">
              <option [ngValue]="null">--Seleciona un Tipo--</option>
              <option *ngFor="let type of service.tipoResidencia" [ngValue]="type.value">
                {{ type.label }}
              </option>
            </select>
          </div>
        </div>
        <div class="row mt-1">
          <div class="col-md-3 faded" input-wrapper label="Piso" *ngIf="service.model.TipoResidenciaId === 1">
            <input type="number" class="form-control" name="piso" [(ngModel)]="service.model.Piso" min="1" required>
          </div>
        </div>
      </div>
      <!-- <ng-container *ngIf="service.editing"> -->
      <ng-container>
        <div class="col-md-4 mt-3">
          <app-residencia-propietario></app-residencia-propietario>
          <div class="divider-horizontal"></div>
          <app-residencia-calle></app-residencia-calle>
          <div class="divider-horizontal"></div>
        </div>
      </ng-container>
    </div>
  </form>

  <ng-container *ngIf="service.editing">
    <ul class="nav-tabs mt-2" ngbNav #nav="ngbNav">
      <li ngbNavItem>
        <a ngbNavLink>
          Residentes
        </a>
        <ng-template ngbNavContent>
          <div class="row">
            <div class="col-md-12">
              <app-residencia-residente></app-residencia-residente>
            </div>
          </div>
        </ng-template>
      </li>
      <li ngbNavItem>
        <a ngbNavLink>
          Vehiculos
        </a>
        <ng-template ngbNavContent>
          <div class="row">
            <div class="col-md-12">
              <app-residencia-vehiculo [residentes]="service.model?.Residentes">
              </app-residencia-vehiculo>
            </div>
          </div>
        </ng-template>
      </li>
    </ul>
    <div class="mt-2" [ngbNavOutlet]="nav"></div>
  </ng-container>
</form-template>
